mgorny      14/04/21 07:32:16

  Modified:             libpcre-8.35.ebuild ChangeLog
  Log:
  Use multilib_build_binaries consistently, and the new multilib_native_use* 
functions.
  
  (Portage version: 2.2.10/cvs/Linux x86_64, signed Manifest commit with key 
EFB4464E!)

Revision  Changes    Path
1.2                  dev-libs/libpcre/libpcre-8.35.ebuild

file : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-libs/libpcre/libpcre-8.35.ebuild?rev=1.2&view=markup
plain: 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-libs/libpcre/libpcre-8.35.ebuild?rev=1.2&content-type=text/plain
diff : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-libs/libpcre/libpcre-8.35.ebuild?r1=1.1&r2=1.2

Index: libpcre-8.35.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/dev-libs/libpcre/libpcre-8.35.ebuild,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- libpcre-8.35.ebuild 5 Apr 2014 22:07:06 -0000       1.1
+++ libpcre-8.35.ebuild 21 Apr 2014 07:32:16 -0000      1.2
@@ -1,6 +1,6 @@
 # Copyright 1999-2014 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/dev-libs/libpcre/libpcre-8.35.ebuild,v 1.1 
2014/04/05 22:07:06 radhermit Exp $
+# $Header: /var/cvsroot/gentoo-x86/dev-libs/libpcre/libpcre-8.35.ebuild,v 1.2 
2014/04/21 07:32:16 mgorny Exp $
 
 EAPI="4"
 
@@ -52,16 +52,16 @@
        [[ ${CHOST} == *-mint* ]] && append-cppflags -D_GNU_SOURCE
        ECONF_SOURCE="${S}" econf \
                --with-match-limit-recursion=$(usex recursion-limit 8192 
MATCH_LIMIT) \
-               $(multilib_is_native_abi && use_enable bzip2 pcregrep-libbz2) \
+               $(multilib_native_use_enable bzip2 pcregrep-libbz2) \
                $(use_enable cxx cpp) \
                $(use_enable jit) $(use_enable jit pcregrep-jit) \
                $(use_enable pcre16) \
                $(use_enable pcre32) \
-               $(multilib_build_binaries && use_enable libedit 
pcretest-libedit) \
-               $(multilib_build_binaries && use_enable readline 
pcretest-libreadline) \
+               $(multilib_native_use_enable libedit pcretest-libedit) \
+               $(multilib_native_use_enable readline pcretest-libreadline) \
                $(use_enable static-libs static) \
                $(use_enable unicode utf) $(use_enable unicode 
unicode-properties) \
-               $(multilib_is_native_abi && use_enable zlib pcregrep-libz) \
+               $(multilib_native_use_enable zlib pcregrep-libz) \
                --enable-pcre8 \
                --enable-shared \
                --htmldir="${EPREFIX}"/usr/share/doc/${PF}/html \
@@ -69,16 +69,15 @@
 }
 
 multilib_src_compile() {
-       emake V=1 $(multilib_is_native_abi || echo "bin_PROGRAMS=")
+       emake V=1 $(multilib_build_binaries || echo "bin_PROGRAMS=")
 }
 
 multilib_src_install() {
        emake \
                DESTDIR="${D}" \
-               $(multilib_build_binaries || echo "bin_PROGRAMS=") \
-               $(multilib_is_native_abi || echo "dist_html_DATA=") \
+               $(multilib_build_binaries || echo "bin_PROGRAMS= 
dist_html_DATA=") \
                install
-       multilib_is_native_abi && gen_usr_ldscript -a pcre
+       multilib_build_binaries && gen_usr_ldscript -a pcre
 }
 
 multilib_src_install_all() {



1.230                dev-libs/libpcre/ChangeLog

file : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-libs/libpcre/ChangeLog?rev=1.230&view=markup
plain: 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-libs/libpcre/ChangeLog?rev=1.230&content-type=text/plain
diff : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-libs/libpcre/ChangeLog?r1=1.229&r2=1.230

Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/dev-libs/libpcre/ChangeLog,v
retrieving revision 1.229
retrieving revision 1.230
diff -u -r1.229 -r1.230
--- ChangeLog   5 Apr 2014 22:07:06 -0000       1.229
+++ ChangeLog   21 Apr 2014 07:32:16 -0000      1.230
@@ -1,6 +1,10 @@
 # ChangeLog for dev-libs/libpcre
 # Copyright 1999-2014 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/dev-libs/libpcre/ChangeLog,v 1.229 
2014/04/05 22:07:06 radhermit Exp $
+# $Header: /var/cvsroot/gentoo-x86/dev-libs/libpcre/ChangeLog,v 1.230 
2014/04/21 07:32:16 mgorny Exp $
+
+  21 Apr 2014; Michał Górny <[email protected]> libpcre-8.35.ebuild:
+  Use multilib_build_binaries consistently, and the new multilib_native_use*
+  functions.
 
 *libpcre-8.35 (05 Apr 2014)
 




Reply via email to